package com.cleanmaster.synipc;

import com.cleanmaster.model.AppInfo;
import com.cleanmaster.func.cache.LabelNameModel;
import com.cleanmaster.cover.data.CoverAppModel;
import com.cleanmaster.cover.data.CoverUnlockInfo;
import com.cleanmaster.cover.data.AppFileterModel;

interface ISyncIpcServiceRaw{
    boolean CheckAlive();
	void enterRoot();
	void waitForCopyAssetsFinish();
	
	// 以下这些接口是供ServiceConfigManager使用，各个模块请不要自行调用
    void setBooleanValue(String key, boolean value);
	void setLongValue(String key, long value);
	void setIntValue(String key, int value);
	void setStringValue(String key, String value);
	
	// 以下这个接口为批量上报提供
	void requestBatchReport();
	
	// 查询APP使用记录
	List<AppInfo> getAllOpenedAppInfo();
	AppInfo       getOpenedAppInfo(String pkgName);
	
	// infoc相关文件同步操作
	boolean checkInfocFile();
	
	// so文件操作
	int syncSoFile(String libName);
	
	// UpdateManager初始化assets文件同步
	boolean initUpdateManagerAssetsFiles();
	
	// 以下函数用于LabelNameUtil
	int getALLPackageLableNameCount();
	List<LabelNameModel> getALLPackageLableName(int nIndex, int nCount);
	
	//以下是获取云端文案接口
	String getCloudCfgStringValue(String key, String subKey, String defValue);
	
	//更换语言通知
	void ChangeLangNotify();
	
	//Cover数据获取
	int GetRecommandListCount();
	List<CoverAppModel> GetRecommandList(int nIndex, int nCount);
	
	boolean notifyCriticalAppOpened(String pkgname);
	
	//Cover过滤名单
	List<CoverAppModel> GetFilterRecommandList();
	boolean addFilter(String pkgName);
	boolean delFilter(String pkgName);
	
	void notifyCoverShow();
	void notifyCoverClose(in CoverUnlockInfo appLists);
	
	// 卸载上报的接口
	List<String> GetUninstallInfo();

	//修改 过滤接口
	
	//获取过滤列表
	List<AppFileterModel> getFilterList(int nIndex, int nCount);
	
	int getFilterListCount();
	
	boolean saveFilter(String pkgName,boolean bApp,boolean bReminder,boolean bNotification);
	
	void forceUpdateRecommandList();
	
	boolean isNotificationServiceAvailable();
	
	//修改 默认社交app 通知预览
	void modifyAppNotifcationStatus(boolean enable);
	
	String getLastAppPkgName();
	
	//获取游戏个数
	int getGameCount();
	
	//获取游戏列表
	List<CoverAppModel> getGameList(int nIndex,int nCount);
	
	//
	boolean addCustomApp(int type,String pkgname,int index);
	
	boolean removeCustomApp(int type,String pkgname);
	
	
	
}